Loading...
Searching...
No Matches
janus_request Struct Reference

Helper to address requests and their sources (e.g., a specific HTTP connection, websocket, RabbitMQ or others). More...

`#include <janus.h>`

Collaboration diagram for janus_request:
[legend]

## Data Fields

janus_transport * | transport
| Pointer to the transport plugin.
janus_transport_session * | instance
| Pointer to the transport-provided session instance.
void * | request_id
| Opaque pointer to the request ID, if available.
gboolean | admin
| Whether this is a Janus API or admin API request.
json_t * | message
| Pointer to the original request, if available.
json_error_t * | error
| Pointer to any JSON errors parsing the original request.
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Helper to address requests and their sources (e.g., a specific HTTP connection, websocket, RabbitMQ or others).

## Field Documentation

## admin

gboolean janus_request::admin

Whether this is a Janus API or admin API request.

## destroyed

volatile gint janus_request::destroyed

Atomic flag to check if this instance has been destroyed.

## error

json_error_t* janus_request::error

Pointer to any JSON errors parsing the original request.

## instance

janus_transport_session* janus_request::instance

Pointer to the transport-provided session instance.

## message

json_t* janus_request::message

Pointer to the original request, if available.

## ref

janus_refcount janus_request::ref

Reference counter for this instance.

## request_id

void* janus_request::request_id

Opaque pointer to the request ID, if available.

## transport

janus_transport* janus_request::transport

Pointer to the transport plugin.

The documentation for this struct was generated from the following file:

- janus.h